### Type parameters

- #### TSource: WithFaceDetection<{}>

### Hierarchy

- DetectFaceLandmarksTaskBase<WithFaceLandmarks<TSource>[], TSource[]>
  - DetectAllFaceLandmarksTask

## Index

### Constructors

- constructor

### Methods

- run
- then
- withAgeAndGender
- withFaceDescriptors
- withFaceExpressions

## Constructors

### constructor

- new DetectAllFaceLandmarksTask<TSource>(parentTask: ComposableTask<TSource[]> | Promise<TSource[]>, input: any, useTinyLandmarkNet: boolean): DetectAllFaceLandmarksTask<TSource>

- Inherited from DetectFaceLandmarksTaskBase.constructor

  - Defined in globalApi/DetectFaceLandmarksTasks.ts:16

  #### Type parameters

  - #### TSource: { detection: FaceDetection }

  #### Parameters

  - ##### parentTask: ComposableTask<TSource[]> | Promise<TSource[]>

  - ##### input: any

  - ##### useTinyLandmarkNet: boolean

  #### Returns DetectAllFaceLandmarksTask<TSource>

## Methods

### run

- run(): Promise<WithFaceLandmarks<TSource, FaceLandmarks68>[]>

- Overrides DetectFaceLandmarksTaskBase.run

  - Defined in globalApi/DetectFaceLandmarksTasks.ts:36

  #### Returns Promise<WithFaceLandmarks<TSource, FaceLandmarks68>[]>

### then

- then(onfulfilled: (value: WithFaceLandmarks<TSource, FaceLandmarks68>[]) => WithFaceLandmarks<TSource, FaceLandmarks68>[] | PromiseLike<WithFaceLandmarks<TSource, FaceLandmarks68>[]>): Promise<WithFaceLandmarks<TSource, FaceLandmarks68>[]>

- Inherited from DetectFaceLandmarksTaskBase.then

  - Defined in globalApi/ComposableTask.ts:3

  #### Parameters

  - ##### onfulfilled: (value: WithFaceLandmarks<TSource, FaceLandmarks68>[]) => WithFaceLandmarks<TSource, FaceLandmarks68>[] | PromiseLike<WithFaceLandmarks<TSource, FaceLandmarks68>[]>

    - - (value: WithFaceLandmarks<TSource, FaceLandmarks68>[]): WithFaceLandmarks<TSource, FaceLandmarks68>[] | PromiseLike<WithFaceLandmarks<TSource, FaceLandmarks68>[]>

      - #### Parameters

        - ##### value: WithFaceLandmarks<TSource, FaceLandmarks68>[]

        #### Returns WithFaceLandmarks<TSource, FaceLandmarks68>[] | PromiseLike<WithFaceLandmarks<TSource, FaceLandmarks68>[]>

  #### Returns Promise<WithFaceLandmarks<TSource, FaceLandmarks68>[]>

### withAgeAndGender

- withAgeAndGender(): PredictAllAgeAndGenderWithFaceAlignmentTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

- - Defined in globalApi/DetectFaceLandmarksTasks.ts:53

  #### Returns PredictAllAgeAndGenderWithFaceAlignmentTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

### withFaceDescriptors

- withFaceDescriptors(): ComputeAllFaceDescriptorsTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

- - Defined in globalApi/DetectFaceLandmarksTasks.ts:57

  #### Returns ComputeAllFaceDescriptorsTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

### withFaceExpressions

- withFaceExpressions(): PredictAllFaceExpressionsWithFaceAlignmentTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

- - Defined in globalApi/DetectFaceLandmarksTasks.ts:49

  #### Returns PredictAllFaceExpressionsWithFaceAlignmentTask<WithFaceLandmarks<TSource, FaceLandmarks68>>